#! /bin/sh

echo "SSP Installation Script";

dir_exist=false

while ! $dir_exist
do
echo "Enter the location to place sspservice:";
echo "[default:/usr/local/bin]";

read sspservicelocation

if [ -z $sspservicelocation ]; then
sspservicelocation="/usr/local/bin"
fi

# check if directory exists
if [ ! -d $sspservicelocation ]; then
echo "Directory doesn't exist."
else
dir_exist=true
fi

done

# Check to see if apxs2 or apxs exists.
apxs_location=`which apxs2`
if [ -z $apxs_location ]; then
apxs_location=`which apxs`
fi

if [ -z $apxs_location ]; then
echo "Cannot detect the location of apxs/apxs2";
exit 2
fi

echo "Copying sspservice to $sspservicelocation."
cp sspservice $sspservicelocation
echo "Installing mod_ssp."
sudo $apxs_location -i -a -n ssp mod_ssp.la


