/***********************************************************************
*                                                                      *
*   Copyright (c) Microsoft Corporation                                *
*                                                                      *
*   All rights reserved.                                               *
*                                                                      *
*   Licensed under the Apache License, Version 2.0 (the "License");    *
*   you may not use this file except in compliance with the License.   *
*   You may obtain a copy of the License at                            *
*   http://www.apache.org/licenses/LICENSE-2.0                         *
*                                                                      *
*   THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR         *
*   CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING       *
*   WITHOUT LIMITATION ANY IMPLIED WARRANTIES OR CONDITIONS OF TITLE,  *
*   FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABLITY OR                *
*   NON-INFRINGEMENT.                                                  *
*                                                                      *
*   See the Apache Version 2.0 License for specific language           *
*   governing permissions and limitations under the License.           *
*                                                                      *
***********************************************************************/

// plugin
COUNTER(BadHttp)
COUNTER(NoContentType)
COUNTER(NotTextHtml)
COUNTER(BadUserAgent)
COUNTER(Excluded)
COUNTER(ExcludedLater)
COUNTER(DroppedTooLong)
COUNTER(Normalized)
COUNTER(NormalizeFailed)
COUNTER(BloomFilterDeduped)
COUNTER(CanonicalBloomFilterDeduped)
COUNTER(HeapOverLimit)
COUNTER(HeapAllocFailed)
COUNTER(HeapReallocFailed)
COUNTER(BeginResponse)
COUNTER(EndResponse)
COUNTER(ResponseStarted)
COUNTER(ResponseCompleted)
COUNTER(DocumentTooBig)
COUNTER(BodyCompressed)
COUNTER(DecompressionNotAttempted)
COUNTER(DecompressionSuccess)
COUNTER(DecompressionHeaderFailure)
COUNTER(DecompressionZLibInitFailure)
COUNTER(DecompressionZLibFailure)
COUNTER(DecompressionHeapFailure)
COUNTER(WorkSubmitted)
COUNTER(WorkCreationFailed)
COUNTER(WorkDispatched)
COUNTER(WorkInvalid)
COUNTER(LostDiskFull)
COUNTER(EntryLost)
COUNTER(FileLost)
COUNTER(CacheInitFail)
COUNTER(WriteNotInCache)
COUNTER(WriteSigChanged)
COUNTER(WriteForcedByPeriod)
COUNTER(WriteForcedByVisitCount)
COUNTER(SignatureComputed)
COUNTER(EntriesWritten)
COUNTER(HTTP404Content)
COUNTER(BingBotVisitCount)
COUNTER(GoogleBotVisitCount)
COUNTER(OtherBotVisitCount)
COUNTER(BotTraffic)
COUNTER(ValidTraffic)

// service
COUNTER(OldFilesDeleted)
COUNTER(GenerationFailure)
COUNTER(OutputUrlTooLong)
COUNTER(UrlsOutputted)
